.primary {
    color: $white;
    position: relative;
    padding-top: rem(8);
    padding-bottom: rem(95);
    background: url("../img/primary__bg.webp") 50% 50% no-repeat;
    background-size: auto 100%;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        position: absolute;
        background: $dark;
        opacity: 0.53;
    }

    .container {
        z-index: 20;
        position: relative;
    }

    &__header {
        margin-bottom: rem(44);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__info {
        display: flex;
        align-items: center;
    }

    &__logo {
        display: block;
        width: rem(164);
    }

    &__name {
        font-size: rem(12);
        line-height: rem(17);
        margin-left: rem(12);
        padding-left: rem(12);
        border-left: 1px solid $white;
    }

    &__connect {
        display: none;
    }

    &__contact {
        margin: 0;
        padding: 0;
        display: none;
        list-style: none;
    }

    &__address {
        display: none;
    }

    &__title {
        margin-bottom: rem(20);

        br {
            display: none;
        }
    }

    &__text {
        font-size: rem(22);
        line-height: rem(43);
        margin-bottom: rem(42);
    }

    &__lead {
        font-weight: 300;
        font-size: rem(18);
        line-height: rem(30);
        margin-bottom: rem(28);
        display: flex;
        align-items: flex-start;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(47);
            margin-top: rem(8);
            display: inline-block;
            flex-shrink: 0;
        }

        span {
            display: inline-block;
            padding-left: rem(28);
        }

        br {
            display: none;
        }
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__phone {
        color: $white;
        font-weight: 400;
        font-size: rem(28);
        line-height: rem(36);
        white-space: nowrap;
        text-decoration: none;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__callback {
        margin: 0;
        padding: 0;
        color: $red;
        border: none;
        outline: none;
        cursor: pointer;
        font-size: rem(16);
        line-height: rem(24);
        display: inline-block;
        text-decoration: none;
        background: transparent;
        border-bottom: 1px dotted $red;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(30);
        padding-bottom: rem(200);

        &__header {
            margin-bottom: rem(80);
        }

        &__logo {
            width: rem(230);
        }

        &__name {
            font-size: rem(12);
            line-height: rem(17);
            margin-left: rem(30);
            padding-left: rem(30);
        }

        &__connect {
            display: flex;
        }

        &__contact {
            display: block;
            text-align: right;
        }

        &__title {
            margin-bottom: rem(36);
        }

        &__text {
            margin-bottom: rem(70);
        }

        &__button {

            .btn {
                width: rem(384);
            }
        }

        &__lead {
            align-items: center;

            i {
                margin-top: 0;
            }

            br {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        background-position: 50% 50%;
        background-size: cover;
        padding-bottom: rem(270);

        &__header {
            margin-bottom: rem(148);
        }

        &__footer {
            display: flex;
            align-items: center;
        }

        &__title {
            max-width: rem(1030);
        }

        &__button {
            order: 1;
        }

        &__lead {
            order: 2;
            margin: 0 0 0 rem(60);
        }
    }

    @include media-breakpoint-up(xl) {

        &__address {
            display: block;
            width: rem(240);
            text-align: right;
            margin-right: rem(45);
        }

        &__phone {
            font-size: rem(32);
            line-height: rem(48);
        }

        &__text {
            font-size: rem(32);
            line-height: rem(48);
        }

        &__lead {
            font-size: rem(22);
            line-height: rem(33);
            margin-left: rem(170);
        }
    }
}
